//------------------------------------------------------------------------
// File name...............: ObjKlasseModel.h
// Compiler................: MS-Visual C++ 4.00
// Library.................: Microsoft Foundation Classes
// Programmr..............: Bjrk Boye Busch
// Programmerings start....: 97-09-29
// Sidste opdatering.......: 97-09-29
// Revisions historie......:
// Beskrivelse.............:				   
//     Headerdefinition for Objekt-Klasse-model ("Forretnings"-klasser)
//------------------------------------------------------------------------
#ifndef	__ObjKlasseModel_h__
#define	__ObjKlasseModel_h__ 

#include "stdafx.h"		// header med DB-funktioner, CString m.m. 

#include "rsDatabase.h"	// header med definitioner til tabel(erne)


//----------------------------------------------------------------
// Her indlgges declarationer for egne "forretnings"-objektklasser
// "Forretnings"-klasserne arver typisk fra en klasse
// som er declareret i rsDatabase.h
//----------------------------------------------------------------

class CxPersonSet : public CrsPerson
{
public:
	CxPersonSet				(void);		// constructor
	~CxPersonSet			(void);		// destructor

	void	SetPersonNr		(long NyPersonNr);
	void	SetFornavn		(CString NyFornavn);

	long	GetPersonNr		(void);
	CString	GetFornavn		(void);
	CString	GetEfternavn	(void);
	CString	GetAdresse		(void);
	long	GetTlfNr		(void);
	long	GetPostNr		(void);
	CString	GetDistrikt		(void);
	//.....................
	//  her indlgges funktioner til vrige data
	//.....................
	

private:


};



#endif
// Slut p filen ObjKlasseModel.h
