//------------------------------------------------------------------------
// File name...............: rsDatabase.h
// Library.................: Microsoft Foundation Classes
// Beskrivelse.............:				   
//		Headerdefinition af database-resourcer (tabeller/query)
//
//		Denne fil vedligeholdes med brug af ClassWizard
//
//------------------------------------------------------------------------


// herunder indstter ClassWizard declaration af database-resourcer



/////////////////////////////////////////////////////////////////////////////
// CrsPerson recordset

class CrsPerson : public CRecordset
{
public:
	CrsPerson(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CrsPerson)

// Field/Param Data
	//{{AFX_FIELD(CrsPerson, CRecordset)
	long	m_PersonNr;
	CString	m_Fornavn;
	CString	m_Efternavn;
	CString	m_Adresse;
	long	m_TlfNr;
	long	m_PostNr;
	CString	m_Distrikt;
	//}}AFX_FIELD


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CrsPerson)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};
